hdcp22_rx: XHdcp22_Rx_Topology Struct Reference

| hdcp22_rx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Rx_Topology Struct Reference
Hdcp22_rx_v2_2

This typedef is the repeater topology table used to communicate topology information to the receiver upstream interface. More...

## Data Fields
u8 | ReceiverIdList [31][5]
| Receiver ID list of all downstream devices. More...
u8 | Depth
| Repeater cascade depth. More...
u8 | DeviceCnt
| Total number of connected downstream devices. More...
u8 | MaxDevsExceeded
| Flag used to indicate topology error. More...
u8 | MaxCascadeExceeded
| Flag used to indicate topology error. More...
u8 | Hdcp20RepeaterDownstream
| Flag used to indicate topology information. More...
u8 | Hdcp1DeviceDownstream
| Flag used to indicate topology information. More...

## Detailed Description

This typedef is the repeater topology table used to communicate topology information to the receiver upstream interface.

## Field Documentation

u8 XHdcp22_Rx_Topology::Depth

Repeater cascade depth.

This value gives the number of attached levels through the connection topology with maximum depth of 4.

Referenced by XHdcp22Rx_Info().

u8 XHdcp22_Rx_Topology::DeviceCnt

Total number of connected downstream devices.

Always zero for HDCP Receivers. This count does not include the HDCP Repeater itself, but only devices downstream from the HDCP Repeater.

Referenced by XHdcp22Rx_Info().

u8 XHdcp22_Rx_Topology::Hdcp1DeviceDownstream

Flag used to indicate topology information.

When set to one, indicates precense of an HDCP1.x-compliant device in the topology.

Referenced by XHdcp22Rx_Info().

u8 XHdcp22_Rx_Topology::Hdcp20RepeaterDownstream

Flag used to indicate topology information.

When set to one, indicates presence of an HDCP2.0-compliant Repeater in the topology.

Referenced by XHdcp22Rx_Info().

u8 XHdcp22_Rx_Topology::MaxCascadeExceeded

Flag used to indicate topology error.

When set to one, more than four levels of repeaters have been casaded together.

Referenced by XHdcp22Rx_Info().

u8 XHdcp22_Rx_Topology::MaxDevsExceeded

Flag used to indicate topology error.

When set to one, more than 31 downstream devices are attached.

Referenced by XHdcp22Rx_Info().

u8 XHdcp22_Rx_Topology::ReceiverIdList[31][5]

Receiver ID list of all downstream devices.

The list consists of a contiguous set of bytes stored in big-endian order, with each Receiver ID occuping five bytes and a total of 31 Receiver IDs.

Referenced by XHdcp22Rx_SetTopologyReceiverIdList().